USM Error

Post here if you are a new Porteus member and you're looking for some help.
Locked
bhuyan_ca
White ninja
White ninja
Posts: 5
Joined: 10 Apr 2020, 18:18
Distribution: Porteus 4

USM Error

Post#1 by bhuyan_ca » 16 Apr 2020, 02:40

Hello,
I am a complete newbie to linux and was hoping for some help.
I successfully installed porteus v05rc1 and really like the speed and simplicity.
I am however unable to download any new packages using USM. When I run usm -u all i get the error message below.
Any help would be appreciated.
Thank you 1

Starting slacky database update
Downloading: CHECKSUMS.md5.gz DONE
Downloading: MANIFEST.bz2 DONE
Downloading: PACKAGES.TXT.gz DONE
Downloading: LIBS.TXT.gz DONE

gzip: /lvar/usm/slacky/CHECKSUMS.md5.gz: unexpected end of file


==============================================================================
WARNING! WARNING! WARNING! WARNING! WARNING!
==============================================================================
One or more errors occurred while usm was running:

FATAL ERROR!
usm update_database 248
Could not decompress: CHECKSUMS.md5.gz

User avatar
Rava
Contributor
Contributor
Posts: 2480
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc1 x86-64 XFCe
Location: Forests of Germany

USM Error

Post#2 by Rava » 16 Apr 2020, 03:22

bhuyan_ca, you did a double post that was exactly the same, I deleted the other post.
bhuyan_ca wrote:
16 Apr 2020, 02:40
successfully installed porteus v05rc1 and really like the speed and simplicity.
I am however unable to download any new packages using USM.
As long as Porteus is in rc1 (or rc2 stage) USM is not available.
I really wonder how you managed to get usm to run at all.

With my 5.0rc1 I get this error when starting usm via usm -u all:

Code: Select all

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while usm was running:                       
 
FATAL ERROR!
Sorry, but while USM is in beta it only supports slackware 14.1+.
system_setup 15
 
============================================================================== 
Here is some info by yours truly about some alternative package managers for Slackware:
Porteus - USM error (Post by Rava #76816)
Rava wrote:
08 Apr 2020, 05:00
[ U ]]nsurprisingly Slackware has its own package managers.

https://docs.slackware.com/slackbook:package_management
https://www.slackbook.org/html/package-management.html
http://go2linux.garron.me/linux/2010/10 ... tions-796/

Quote from the last source:
● installpkg: To install new software, you should previously install the dependencies.
● upgradepkg: To upgrade an installed package to a new version
● removepkg: To remove an installed package you do not want.

[…]
There other tools that really help the new-to-slackware user. These are the ones that are helping me.

● slackpkg
● slapt-get
[what follows are detailed descriptions on the two above]
According to https://stackoverflow.com/questions/283 ... er-linuxes slapt-get is an Slackware implementations of apt-get which is an Debian package manager.

HTH!

Could be that you need to read a little bit about some of these package managers when they not come pre-installed on the Porteus version you use, since they all need some databases to work with, and here setup is a crucial thing.
If you want to reply, bhuyan_ca, please go to the Porteus - USM error thread in Forum ▷ General ▷ Bug Reports.

Thread locked.
Cheers!
Yours Rava

Locked